iotoms Docs

Export top customers as PDF

GET
/api/v1/reports/customer/top/export

Downloads the top-customers report as a PDF file for the from–to range (default today). limit defaults to 20.

Authorization

BearerAuth
headerAuthorizationBearer <JWT>

Query Parameters

from?string

Start date, YYYY-MM-DD.

Formatdate
to?string

End date, YYYY-MM-DD.

Formatdate
limit?integer

Max results, default 20

Formatint32
Default20

Header Parameters

X-TenantID*string

Your merchant's tenant code — the value typed in the Domain field on the iotoms login screen. See Concepts.

Response Body

OK

response?stringapplication/pdf
Example Request
curl -X GET 'https://beta.iotoms.com/api/v1/reports/customer/top/export' \  -H 'X-TenantID: your-tenant-code'
Example Response
"string"